import { OnChanges, SimpleChanges } from '@angular/core';
import { DateMaskFormat } from '../input-mask.interface';
import { BbInputMask } from './input-mask.directive';
import { Masking } from '../masking.service';
import * as i0 from "@angular/core";
export declare class BbDateMask implements OnChanges {
    private _masking;
    private _inputMask;
    format: DateMaskFormat | null;
    separator: string | null;
    constructor(_masking: Masking, _inputMask: BbInputMask);
    ngOnChanges(changes: SimpleChanges): void;
    static ngAcceptInputType_bbDateMask: DateMaskFormat | null | undefined;
    static ngAcceptInputType_bbDateMaskSeparator: string | null | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDateMask, [null, { self: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbDateMask, "input[bbDateMask]", never, { "format": "bbDateMask"; "separator": "bbDateMaskSeparator"; }, {}, never, never, false, never>;
}
