import { ActivatedRouteSnapshot, Router, RouterStateSnapshot, UrlTree } from '@angular/router';
import { Provider } from '@angular/core';
export declare class PermissionsConfig {
    provider?: Provider;
    localPermissions?: LocalPermissionsData;
    onPermissionDenied?: (router: Router, snapshot: ActivatedRouteSnapshot, state: RouterStateSnapshot) => UrlTree;
}
export interface PermissionsOptions {
    mode?: PermissionsMode;
}
export declare type PermissionsMode = 'and' | 'or' | 'not';
export declare type LocalPermissionsData<T extends string = any> = Record<string, T[] | '*'>;
